Solid Edge Framework Type Library
AddOrRemoveItemsToOrFromProjects Method

This is two dimensional array.

  1. First column represent the item ID.
  2. Second column represents the Project IDs in which the given item is to be added. These project Ids will be separated by semicolon.
  3. Third column represents the Project IDs from which the given item is to be removed. These project Ids will be separated by semicolon.
Description
Returns the projects for given ItemID.
Syntax
Visual Basic
Public Sub AddOrRemoveItemsToOrFromProjects( _
   ByRef pvarItemInfoToAddOrRemoveToProjects As Variant _
) 
Parameters
pvarItemInfoToAddOrRemoveToProjects

This is two dimensional array.

  1. First column represent the item ID.
  2. Second column represents the Project IDs in which the given item is to be added. These project Ids will be separated by semicolon.
  3. Third column represents the Project IDs from which the given item is to be removed. These project Ids will be separated by semicolon.
Example
Option Explicit

Sub Example()
    Dim objApplication As SolidEdgeFramework.Application
    Dim objTCE As SolidEdgeFramework.SolidEdgeTCE
    Dim ItemInfoToAddOrRemoveToProjects(0, 2) As Variant
    
    Set objApplication = GetObject(, "SolidEdge.Application")
    Set objTCE = objApplication.SolidEdgeTCE

    ItemInfoToAddOrRemoveToProjects(0, 0) = "002359"
    ItemInfoToAddOrRemoveToProjects(0, 1) = "1987;1996;2000"
    ItemInfoToAddOrRemoveToProjects(0, 2) = "1983;1985"

    Call objTCE.AddOrRemoveItemsToOrFromProjects(ItemInfoToAddOrRemoveToProjects)
    
    If Not objApplication Is Nothing Then
        Call objApplication.Quit
    End If
    
    Set objTCE = Nothing
    Set objApplication = Nothing
End Sub
See Also

SolidEdgeTCE Object  | SolidEdgeTCE Members  | Solid Edge ST3 - What's New